org.gnome.gtk

## Interface EntryCompletion.ActionActivated

- Enclosing class:
    EntryCompletion

      public static interface EntryCompletion.ActionActivated

  Emitted when an action item is selected from the popup action list.

  In this way, you can do something different from the `EntryCompletion.MatchSelected` signal.

       final EntryCompletion completion;

       ...

       completion.insertActionText(0, "complete");
       completion.insertActionText(1, "another");

       completion.connect(new EntryCompletion.ActionActivated() {
           public void onActionActivated(EntryCompletion source, int index) {
               System.out.println("Action " + index + " activated.");
           }
       });

  Since:
    4.0.12

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActionActivated(EntryCompletion source, int index)` The only two parameters give references to the EntryCompletion `source` which has emitted the signal and the activated action `index`.

- - ### Method Detail

    - #### onActionActivated

          void onActionActivated(EntryCompletion source,
                               int index)

      The only two parameters give references to the EntryCompletion `source` which has emitted the signal and the activated action `index`.
      Since:
        4.0.12